> For the complete documentation index, see [llms.txt](https://docs.indicio.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.indicio.tech/developer/indicio-proven-r/api-reference/basic-messages.md).

# Basic Messages

Endpoints for sending and retrieving basic messages

## Get all messages

> This endpoint retrieves all messages.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Basic Messages","description":"Endpoints for sending and retrieving basic messages"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/messages":{"get":{"summary":"Get all messages","description":"This endpoint retrieves all messages.","tags":["Basic Messages"],"responses":{"200":{"description":"A list of messages","content":{"application/json":{"schema":{"type":"object","properties":{"basicMessages":{"type":"array","items":{"type":"object"}}}}}}},"401":{"description":"Unauthorized."},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```

## Send a basic message

> This endpoint allows you to send a basic message.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Basic Messages","description":"Endpoints for sending and retrieving basic messages"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/messages":{"post":{"summary":"Send a basic message","description":"This endpoint allows you to send a basic message.","tags":["Basic Messages"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"invitation_id":{"type":"integer","description":"The ID of the invitation."},"contact_id":{"type":"string","description":"The ID of the contact."},"message":{"type":"string","description":"The message content."}}}}}},"responses":{"200":{"description":"Message sent successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"string"}}}}}},"400":{"description":"Bad request. Invalid parameters.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"401":{"description":"Unauthorized."},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```

## Get a message by ID

> This endpoint retrieves a message by its ID.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Basic Messages","description":"Endpoints for sending and retrieving basic messages"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/messages/{id}":{"get":{"summary":"Get a message by ID","description":"This endpoint retrieves a message by its ID.","tags":["Basic Messages"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"The ID of the message to retrieve."}],"responses":{"200":{"description":"A message object","content":{"application/json":{"schema":{"type":"object","properties":{"invitation_id":{"type":"integer","description":"The ID of the invitation."},"contact_id":{"type":"string","description":"The ID of the contact."},"message":{"type":"string","description":"The message content."}}}}}},"401":{"description":"Unauthorized."},"404":{"description":"Message not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```
